Blocks
Update block
PUT /api/pipelines/:pipeline_uuid/blocks/:block_uuid
Human readable block name. This is used to generate the UUID, e.g.
restless dust. Names will be slugified to a safe-uuid.Type of block:
callback, chart, conditional, custom, data_exporter, data_loader, dbt, extension, global_data_product, markdown, scratchpad, sensor, transformerArray of callback block objects. Same shape as
blocks.Block color displayed by the frontend. If omitted or not recognized, the frontend uses the block type’s default color.
The content of block formatted as a string. Use
/n for newlines. Omitting will create an empty block.Used when configuring a Kubernetes executor. See the Kubernetes config page for more details
Used when configuring a Kubernetes executor. See the Kubernetes config page for more details
UUID of extensions, currently Great Expectations is the only extension supported.
The configuration for block retry logic. See the pipeline runs docs for retry config examples.
An array of strings representing the uuids of upstream blocks (the blocks on which the new block depends). For example,
["a", "b"] will create a block that depends on blocks a and b.The unique id of the block. This is generated from
name, so it’s not necessary to populate this field.